# dkim_alg_t

[back to index]

DESCRIPTION

Purpose | A `dkim_alg_t` is a value from an enumerated list of the possible message signing algorithms available. It is passed as a parameter to `dkim_sign()` when selecting a signing algorithm to be used to sign a message. It need not be passed to `dkim_verify()` as that function will determine the signing algorithm for verification based on the signature on an arriving message.

Possible Values

- `DKIM_SIGN_RSASHA1` -- use an RSA-signed SHA1 hash of the message's headers and body
- `DKIM_SIGN_RSASHA256` -- use an RSA-signed SHA256 hash of the message's headers and body

NOTES

- `DKIM_SIGN_RSASHA256` is only available if the OpenSSL available at compile-time supported the SHA256 algorithm.

Copyright (c) 2005-2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.